Summary: The ping and inetd networking programs.
Name: netkit-base
Version: 0.10
Release: 39
Copyright: BSD
Group: System Environment/Daemons
Source0: ftp://sunsite.unc.edu/pub/Linux/system/network/netkit-base-0.10.tar.gz
Source1: inetd.conf.default
Source2: inet.init
Source3: inetd.conf.5
Patch0: netkit-base-0.10-misc.patch
Patch1: ping-overflow.patch
Patch2: ping-flood.patch
Patch3: inetd-fdleak.patch
Patch4: netkit-base-0.10-maint.patch
Patch5: ping-kuznetsov.patch
Patch6: ping-glibc21.patch
Patch7: ping-alpha.patch
Patch10: ping-ank.patch
Patch11: ping-ankglibc21.patch
Patch12: ping-ankjbj.patch
Patch13: ping-optcw.patch
Patch14: ping-deadline.patch
Provides: inetd
Prereq: /sbin/chkconfig
Requires: tcp_wrappers
BuildRoot: /var/tmp/%{name}-root

%description
The netkit-base package contains the basic networking tools ping and
inetd.  The ping command sends a series of ICMP protocol ECHO_REQUEST
packets to a specified network host and can tell you if that machine
is alive and receiving network traffic.  Inetd listens on certain
Internet sockets for connection requests, decides what program should
receive each request, and starts up that program.

The netkit-base package should be installed on any machine that is on
a network.

%prep
%setup -q -n netkit-base-0.10
%patch0 -p1 -b .misc

#cd ping
#%patch1 -p0 -b .overflow
#%patch2 -p0 -b .flood
#%patch5 -p2 -b .kuznetsov
#%patch6 -p2 -b .glibc21
#%patch7 -p0 -b .alpha
#cd ..

%patch10 -p1 -b .ank
%patch11 -p1 -b .ankglibc21
%patch12 -p1 -b .ankjbj

%patch13 -p1 -b .optcw
%patch14 -p1 -b .deadline

cd inetd
%patch3 -p0 -b .leak
cd ..

%patch4 -p1 -b .maint

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/sbin
make INSTALLROOT=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT/usr/man/man5
install -m 644 $RPM_SOURCE_DIR/inetd.conf.5 $RPM_BUILD_ROOT/usr/man/man5

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 644 $RPM_SOURCE_DIR/inetd.conf.default $RPM_BUILD_ROOT/etc/inetd.conf
install -m 755 $RPM_SOURCE_DIR/inet.init $RPM_BUILD_ROOT/etc/rc.d/init.d/inet

ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc2.d/K50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S50inet
ln -fs ../init.d/inet $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K50inet

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add inet

%preun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del inet
fi

%files
%defattr(-,root,root)
%attr(4755,root,root)	/bin/ping
%attr(0644,root,root)	%config(noreplace) /etc/inetd.conf
%attr(0755,root,root)	%config /etc/rc.d/init.d/inet
%config(missingok) /etc/rc.d/rc0.d/K50inet
%config(missingok) /etc/rc.d/rc1.d/K50inet
%config(missingok) /etc/rc.d/rc2.d/K50inet
%config(missingok) /etc/rc.d/rc3.d/S50inet
%config(missingok) /etc/rc.d/rc5.d/S50inet
%config(missingok) /etc/rc.d/rc6.d/K50inet
/usr/man/man5/inetd.conf.5
/usr/man/man8/inetd.8
/usr/man/man8/ping.8
/usr/sbin/inetd

%changelog
* Wed Jan 21 2000 James Manning <jmm@raleigh.ibm.com>
- change > to >= test for -w deadline

* Wed Jan 19 2000 James Manning <jmm@raleigh.ibm.com>
- rearrange -c and -w logic in ping's for(;;) so they work correctly

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Sat Sep  4 1999 Jeff Johnson <jbj@redhat.com>
- revert identd to inetd.conf startup.

* Thu Aug 19 1999 Jeff Johnson <jbj@redhat.com>
- correct identd inetd.conf startup to wait and comment out (#4504).

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Mon Aug  9 1999 Jeff Johnson <jbj@redhat.com>
- don't compare timevals -- rtt > 1sec causes failure (#4443,#3960).
- resurrect old -c 2 behavior if host is unreachable (#3959).
- update ping to ANK's ss990610 with new "-w waitsecs" option.

* Tue Jul 27 1999 Bill Nottingham <notting@redhat.com>
- run talk/talkd as nobody.tty
- run fingerd as nobody
- fix description in init file

* Mon May 17 1999 Jeff Johnson <jbj@redhat.com)
- fix 64bit alpha problems. (#1786)

* Wed May  5 1999 Jeff Johnson <jbj@redhat.com>
- use ping from iputils.
- fix odd-byte checksum on little-endian machines (#2281)
- (re-) verify ping flood (#213).

* Wed Apr  7 1999 Jeff Johnson <jbj@redhat.com>
- fix inetd fd leak (#695)

* Wed Mar 31 1999 Jeff Johnson <jbj@redhat.com>
- ping flood can send faster than it can receive -- staunch the flow. (#213)

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- turn off imap/pop by default
- add a buffer overflow patch

* Fri Mar 26 1999 Jeff Johnson <jbj@redhat.com>
- make inetd.conf %config(noreplace).
- fix time service config (#1725).

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- comsat service added (commented out)

* Tue Mar 23 1999 Preston Brown <pbrown@redhat.com>
- man page added

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 23)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Wed Jun 17 1998 Jeff Johnson <jbj@redhat.com>
- man page correction (problem #727)
- add build root.

* Fri Jun 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Mike Wangsmo <wanger@redhat.com>
- made /etc/inetd.conf a %config file.  This is a D'oh!

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- fixed iniscript enhancement

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 23 1998 Michael K. Johnson
- enhanced initscript

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added %config(missingok) to init symlinks

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- turned off in runlevel 2
- added status, restart options to init script

* Mon Oct 13 1997 Erik Troan <ewt@redhat.com>
- added chkconfig support

* Wed Aug 27 1997 Erik Troan <ewt@redhat.com>
- fixed init.d symlinks
- fixed permissions on /etc/rc.d/inet
